*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

main {
  width: 100%;
  min-height: 100vh;
  background-image: url(../img/space-bg.jpg);
  background-size: auto;
  color: white;
  font-family: 'Saira', sans-serif;
  padding-top: 50px;
}

.header-title {
  text-align: center;
  text-transform: uppercase;
  font-size: 60px;
  color: gold;
}

.container {
  width: 950px;
  margin: 0 auto;
}

.film {
  margin-top: 30px;
  background-color: rgba(255, 255, 255, 0.335);
  border-radius: 15px;
  padding: 15px 10px;
  box-shadow: 5px 5px 15px 5px #000;
  min-height: 430px;
  position: relative;
}

.film__name {
  text-transform: uppercase;
  font-size: 30px;
  color: lime;
  padding-left: 30px;
  margin-bottom: 15px;
}

.film:nth-child(2n) .film__name {
  color: orange;
}

.film__plot {
  padding: 0 15px;
}

.film__text {
  font-size: 16px;
}

.film__characters {
  padding: 20px;
  margin: 0 auto;
}

.film__characters h3 {
  text-align: center;
  font-size: 27px;
  font-style: italic;
  font-weight: 600;
  color: gold;
  margin-bottom: 25px;
}

.film__characters ul {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
}

.film__characters li {
  text-align: center;
  display: block;
  flex-basis: 25%;
  font-size: 17px;
  font-weight: bold;
}

/* slider */
.loader,
.loader::before,
.loader::after {
  background: #FFF;
  -webkit-animation: load1 1s infinite ease-in-out;
  animation: load1 1s infinite ease-in-out;
  width: 1em;
  height: 4em;
}

.loader {
  color: #FFF;
  text-indent: -9999em;
  margin: 88px auto;
  position: absolute;
  font-size: 11px;
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
}

.loader::before,
.loader::after {
  position: absolute;
  top: 0;
  content: '';
}

.loader::before {
  left: -1.5em;
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.loader::after {
  left: 1.5em;
}

@-webkit-keyframes load1 {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }

  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}

@keyframes load1 {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }

  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}
